`POST /api/marketplace/sources/{id}/sync` — trigger a source sync. Workspace-admin only.
POST
/api/marketplace/sources/{id}/sync
const url = 'https://example.com/api/marketplace/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/marketplace/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/syncParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
errors
required
Array<string>
items_added
required
integer format: int32
items_removed
required
integer format: int32
items_updated
required
integer format: int32
source_id
required
string format: uuid
synced_at
required
string format: date-time
Examplegenerated
{ "errors": [ "example" ], "items_added": 1, "items_removed": 1, "items_updated": 1, "source_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "synced_at": "2026-04-15T12:00:00Z"}